GIT-RESET-FILE(1)

NAME
git-reset-file - Reset one file

SYNOPSIS
git-reset-file [<filename>] commit-hash

DESCRIPTION
Reset one file to HEAD or certain commit-hash

OPTIONS
<filename>

The name of the file to reset.

<commit-hash>

(Optional) Hash of commit to reset the file to. Defaults to HEAD.

EXAMPLES
Reset one file to HEAD

    $ git reset-file .htaccess

or reset one file to certain commit

    $ git reset-file .htaccess dc82b19

AUTHOR
Written by Sasha Khamkov <sanusart@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>